unit MainFrm;

interface

uses
  Winapi.Windows,
  Winapi.Messages,
  System.SysUtils,
  System.Variants,
  System.Classes,
  Vcl.Graphics,
  Vcl.Controls,
  Vcl.Forms,
  Vcl.Dialogs,
  Vcl.StdCtrls,
  Vcl.ExtCtrls;

type
  TFrmMain = class(TForm)
    Button1: TButton;
    imgInput: TImage;
    imgOutput: TImage;
    Memo1: TMemo;
    lblOriginal: TLabel;
    lblScaledAndDetected: TLabel;
    procedure Button1Click(Sender: TObject);
  private
  public
  end;

var
  FrmMain: TFrmMain;

implementation

{$R *.dfm}

uses
  uExifInfoReader,
  uAreaDetection,
  uDetectHead,
  uDetectFace;


procedure TFrmMain.Button1Click(Sender: TObject);
var
_OriginalBitmap:Vcl.Graphics.TBitmap;
_OutputBitmap:Vcl.Graphics.TBitmap;
_Areas:TRegionsList;
_Faces:TFaces;
_AnalysisText:string;
_Exif:TExif;
begin

  try

// ************  Main Method of this library ***************
    IsFaceOnImage('.\example_data\9_Press_Conference_Press_Conference_9_154.jpg',  // in: path&filename
                  _OriginalBitmap,        // out: original (un-resized) bitmap.
                  _OutputBitmap,          // out: resized bitmap with detected heads marked.
                  _Areas,                 // out: list of detected areas.
                  _Faces,                 // out: list of detected faces.
                  _AnalysisText,          // out: some analysis text.
                  _Exif);                 // out: exif information


    imgInput.Picture.Bitmap.Assign(_OriginalBitmap);
    imgOutput.Picture.Bitmap.Assign(_OutputBitmap);
    Memo1.Text:=_AnalysisText;
  finally
    _OriginalBitmap.Free;
    _OutputBitmap.Free;
    _Areas.Free;
    _Faces.Free;
    _Exif.Free;
  end;
end;

end.
